### Type parameters

- #### T

### Hierarchy

- MutableQueue

### Implements

- Queue<T>

## Index

### Properties

- queue

### Methods

- dequeue
- enqueue
- isEmpty
- size

## Properties

### Private queue

queue: T[] = []

- Defined in lib/audio/player/queue/MutableQueue.ts:8

## Methods

### dequeue

- dequeue(): T

- Implementation of Queue.dequeue

  - Defined in lib/audio/player/queue/MutableQueue.ts:10

  #### Returns T

### enqueue

- enqueue(item: T): void

- Implementation of Queue.enqueue

  - Defined in lib/audio/player/queue/MutableQueue.ts:21

  #### Parameters

  - ##### item: T

  #### Returns void

### isEmpty

- isEmpty(): boolean

- Implementation of Queue.isEmpty

  - Defined in lib/audio/player/queue/MutableQueue.ts:25

  #### Returns boolean

### size

- size(): number

- Implementation of Queue.size

  - Defined in lib/audio/player/queue/MutableQueue.ts:29

  #### Returns number

Generated using TypeDoc